curl --request GET \
--url https://app.sure.am/api/v1/balances/{id} \
--header 'X-Api-Key: <api-key>'import requests
url = "https://app.sure.am/api/v1/balances/{id}"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://app.sure.am/api/v1/balances/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date": "2023-12-25",
"currency": "<string>",
"flows_factor": 123,
"balance": "<string>",
"balance_cents": 123,
"start_balance": "<string>",
"start_balance_cents": 123,
"end_balance": "<string>",
"end_balance_cents": 123,
"account": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"account_type": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"cash_balance": "<string>",
"cash_balance_cents": 123,
"start_cash_balance": "<string>",
"start_cash_balance_cents": 123,
"start_non_cash_balance": "<string>",
"start_non_cash_balance_cents": 123,
"cash_inflows": "<string>",
"cash_inflows_cents": 123,
"cash_outflows": "<string>",
"cash_outflows_cents": 123,
"non_cash_inflows": "<string>",
"non_cash_inflows_cents": 123,
"non_cash_outflows": "<string>",
"non_cash_outflows_cents": 123,
"net_market_flows": "<string>",
"net_market_flows_cents": 123,
"cash_adjustments": "<string>",
"cash_adjustments_cents": 123,
"non_cash_adjustments": "<string>",
"non_cash_adjustments_cents": 123,
"end_cash_balance": "<string>",
"end_cash_balance_cents": 123,
"end_non_cash_balance": "<string>",
"end_non_cash_balance_cents": 123
}{
"error": "<string>",
"message": "<string>",
"details": [
"<string>"
],
"errors": [
"<string>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<string>"
],
"errors": [
"<string>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<string>"
],
"errors": [
"<string>"
]
}Retrieve a balance history record
Authorizations
API key for authentication. Generate one from your account settings.
Path Parameters
Balance ID
Response
balance retrieved
Balance in currency minor units
Starting total balance in currency minor units
Ending total balance in currency minor units
Show child attributes
Show child attributes
Cash balance in currency minor units
Starting cash balance in currency minor units
Starting non-cash balance in currency minor units
Cash inflows in currency minor units
Cash outflows in currency minor units
Non-cash inflows in currency minor units
Non-cash outflows in currency minor units
Net market flows in currency minor units
Cash adjustments in currency minor units
Non-cash adjustments in currency minor units
Ending cash balance in currency minor units
Ending non-cash balance in currency minor units
Was this page helpful?